package be.ugent.jvl.fruit;

import javafx.scene.control.ListView;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;

import java.io.InputStream;
import java.net.URL;

public class FruitController {

    public ListView<String> lijst;

    public ImageView imageView;

    private final String[] IMAGE_NAMES = {
            "aardbei",
            "ajuin",
            "ananas",
            "appel",
            "asperge",
            "banaan",
            "broccoli",
            "druiven",
            "framboos",
            "kiwi",
            "mais",
            "meloen",
            "peer",
            "peper",
            "perzik",
            "pickle",
            "pompelmoes",
            "tomaat",
            "watermeloen",
            "wortel"
    };

    private final Image[] IMAGES = new Image[IMAGE_NAMES.length];

    public void initialize() {


        lijst.getSelectionModel().selectedItemProperty().addListener(
                ob -> kiesFruit()
        );

        lijst.getItems().addAll(IMAGE_NAMES);
        for (int i = 0; i < IMAGE_NAMES.length; i++) {
            String imageName = "images/" + IMAGE_NAMES[i] + ".png";
            IMAGES[i] = new Image(getClass().getResourceAsStream(imageName));
        }
    }

    private void kiesFruit() {
        imageView.setImage(
                IMAGES[lijst.getSelectionModel().getSelectedIndex()]
        );
    }
}
